OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
InternalNode< _ChildNodeType, Log2Dim >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of an InternalNode having the same child hierarchy and dimensions as this node but a different value type, T. More...

`#include <openvdb/tree/InternalNode.h>`

## Public Types
using | Type = InternalNode< typename ChildNodeType::template ValueConverter< OtherValueType >::Type, Log2Dim >

## Detailed Description

template<typename _ChildNodeType, Index Log2Dim>
template<typename OtherValueType>
struct openvdb::v11_0::tree::InternalNode< _ChildNodeType, Log2Dim >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of an InternalNode having the same child hierarchy and dimensions as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

template<typename _ChildNodeType , Index Log2Dim>
template<typename OtherValueType >

using Type = InternalNode<typename ChildNodeType::template ValueConverter< OtherValueType>::Type, Log2Dim>